cancel
Showing results for 
Search instead for 
Did you mean: 

XESS documentation

Siemens Pioneer Siemens Pioneer
Siemens Pioneer

I intend to employ UF_XS methods to access the spreadsheet and manipulate it as accordingly.

 

The C documentation says in several place

 

NOTE: You have access to the two functions UF_XS_extract_spreadsheet and
UF_XS_store_spreadsheet. However, in order to use other Xess functions (such as
xess_read_file) you must have the Xess Development System.

See the NX Online Help for details on how to use the spreadsheet.

 

Where can I find the xess documentation library and the a brief example of how to use it.

Attached here is a sample code.

' NX 11.0.0.1
' Journal created by mukundr on Thu Jan 29 13:19:18 2015 Eastern Standard Time
'
Option Strict Off
Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String)

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workFemPart As NXOpen.CAE.SimPart = CType(theSession.Parts.BaseWork, NXOpen.CAE.SimPart )

Dim displayFemPart As NXOpen.CAE.SimPart = CType(theSession.Parts.BaseDisplay, NXOpen.CAE.SimPart )

dim lw As ListingWindow = theSession.ListingWindow()
if lw.IsOpen() = false then
   lw.Open()
end if
Dim ufs As UF.UFSession = UF.UFSession.GetUFSession()
Dim ufobj As UF.UFObj = ufs.Obj()
Dim ufmodl As UF.UFModl = ufs.Modl()
Dim ufxs As UF.UFXs = ufs.Xs()
Dim spreadsheettag As Tag
ufobj.CycleObjsInPart(workFemPart.Tag(), UF.UFConstants.UF_spreadsheet_type, spreadsheettag)
while (spreadsheettag <> Nothing)
 Dim name AS String
 Dim spreadname As string
 ufobj.AskName(spreadsheettag, name)
 spreadname = String.Concat(name,".xss")
 if (name = "MODELING_SHEET")
     lw.WriteLine("Extracting modeling sheet:" & spreadname)
 else if (name = "DEFAULT_SHEET")
  lw.WriteLine("Extracting default sheet:" & spreadname)
 else
  lw.WriteLine("Extracting aprt families:" & spreadname)
 end if
 ufxs.ExtractSpreadsheet(name,spreadname)
 lw.WriteLine("Extracted:" & spreadname)
'NOTE: The Xess Developer's Library is required in order to access
'the function xess_write_file.
'Manipulate using XS here.
' ufxs.StoreSpreadsheet(name,String.Concat("D:\mukundr\",spreadname))
 ufobj.CycleObjsInPart(workFemPart.Tag(), UF.UFConstants.UF_spreadsheet_type, spreadsheettag)
end while

End Sub
End Module

 

MAYAHTT
www.mayahtt.com
2 REPLIES

Re: XESS documentation

Siemens Valued Contributor Siemens Valued Contributor
Siemens Valued Contributor

The NX Help contains information regarding the usage of XESS along with an XESS help file supplied by the vendor.

 

The quickest way to find this information is to go the main NX Help page and enter "XESS" into the search field and the various help topics will be listed (see attachment for an example).

NX Design Apps Documentation & Courseware Manager

Re: XESS documentation

Siemens Pioneer Siemens Pioneer
Siemens Pioneer

Thanks for pointing me to the online help.

 

 

Here's my intention. I wish to extract the spreadsheet, manipulate it either interactively or through xess api and store it back.

 

What is not clearly evident is how one can manipulate the data using the xess data. AIS website seems down forever on this.

 

MAYAHTT
www.mayahtt.com